summaryrefslogtreecommitdiff
path: root/t/t3303-notes-subtrees.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2022-01-03 16:24:15 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2022-01-03 16:24:15 -0800
commit4f4b18497aea75425506097de7225df8c7cf5c66 (patch)
tree894010237b6188081699ace29bf5796f42bd4362 /t/t3303-notes-subtrees.sh
parentMerge branch 'ns/tmp-objdir' (diff)
parentt6000-t9999: detect and signal failure within loop (diff)
downloadtgif-4f4b18497aea75425506097de7225df8c7cf5c66.tar.xz
Merge branch 'es/test-chain-lint'
Broken &&-chains in the test scripts have been corrected. * es/test-chain-lint: t6000-t9999: detect and signal failure within loop t5000-t5999: detect and signal failure within loop t4000-t4999: detect and signal failure within loop t0000-t3999: detect and signal failure within loop tests: simplify by dropping unnecessary `for` loops tests: apply modern idiom for exiting loop upon failure tests: apply modern idiom for signaling test failure tests: fix broken &&-chains in `{...}` groups tests: fix broken &&-chains in `$(...)` command substitutions tests: fix broken &&-chains in compound statements tests: use test_write_lines() to generate line-oriented output tests: simplify construction of large blocks of text t9107: use shell parameter expansion to avoid breaking &&-chain t6300: make `%(raw:size) --shell` test more robust t5516: drop unnecessary subshell and command invocation t4202: clarify intent by creating expected content less cleverly t1020: avoid aborting entire test script when one test fails t1010: fix unnoticed failure on Windows t/lib-pager: use sane_unset() to avoid breaking &&-chain
Diffstat (limited to 't/t3303-notes-subtrees.sh')
-rwxr-xr-xt/t3303-notes-subtrees.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/t3303-notes-subtrees.sh b/t/t3303-notes-subtrees.sh
index f5fd80d4d3..7e0a8960af 100755
--- a/t/t3303-notes-subtrees.sh
+++ b/t/t3303-notes-subtrees.sh
@@ -31,7 +31,7 @@ verify_notes () {
while [ $i -gt 0 ]; do
echo " commit #$i" &&
echo " note for commit #$i" &&
- i=$(($i-1));
+ i=$(($i-1)) || return 1
done > expect &&
test_cmp expect output
}
@@ -43,7 +43,7 @@ test_expect_success "setup: create $number_of_commits commits" '
while [ $nr -lt $number_of_commits ]; do
nr=$(($nr+1)) &&
test_tick &&
- cat <<INPUT_END
+ cat <<INPUT_END || return 1
commit refs/heads/main
committer $GIT_COMMITTER_NAME <$GIT_COMMITTER_EMAIL> $GIT_COMMITTER_DATE
data <<COMMIT
@@ -179,7 +179,7 @@ verify_concatenated_notes () {
echo " first note for commit #$i" &&
echo " " &&
echo " second note for commit #$i" &&
- i=$(($i-1));
+ i=$(($i-1)) || return 1
done > expect &&
test_cmp expect output
}